Page MenuHomePhabricator

Change popups informing about user choosing non-existent categories to use the warning system
Closed, ResolvedPublic

Description

After T96917, it should be easy to remove the popups informing about user choosing non-existent categories and replace them with a warning in the new system. All the old nasty code should be removed.

Details

Related Gerrit Patches:

Event Timeline

matmarex raised the priority of this task from to Normal.
matmarex updated the task description. (Show Details)
Restricted Application added a project: Multimedia. · View Herald TranscriptOct 29 2015, 10:44 PM
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald Transcript
matmarex renamed this task from Change popups informing about user choosing non-existent categories to warning systems to Change popups informing about user choosing non-existent categories to use the warning system.Nov 2 2015, 2:15 PM
matmarex set Security to None.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptNov 2 2015, 2:15 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Nov 5 2015, 6:25 PM

I will mentor this in #GCI2015

matmarex claimed this task.Nov 23 2015, 2:09 PM
matmarex removed a project: Google-Code-In-2015.
matmarex added a subscriber: matmarex.

Actually, I changed my mind, I think we'd like to have this done sooner. Sorry.

Change 254866 had a related patch set uploaded (by Bartosz Dziewoński):
uw.CategoriesDetailsWidget: Use the warning system for non-existent category warning

https://gerrit.wikimedia.org/r/254866

matmarex raised the priority of this task from Normal to High.Nov 23 2015, 3:21 PM

Change 254866 merged by jenkins-bot:
uw.CategoriesDetailsWidget: Use the warning system for non-existent category warning

https://gerrit.wikimedia.org/r/254866

matmarex closed this task as Resolved.Nov 23 2015, 5:30 PM